// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | bytran@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Object to interface the QML About component with the core module
#ifndef ABOUTQML_H
#define ABOUTQML_H

#include <QObject>
#include "bytrancore.h"
#include <QNetworkAccessManager>

// About data object (used to submit a donation)
class AboutQml : public QObject
{
    Q_OBJECT

public:

    Q_INVOKABLE void donate();
    Q_INVOKABLE void email();
    Q_INVOKABLE void mitLicense();
    Q_INVOKABLE void bytranWebsite();
    Q_INVOKABLE void searchPhoneWithSensors();

    explicit AboutQml(QObject *parent = nullptr, BytranCore *inCore = nullptr);

public slots:

signals:

public slots:

private:

    // Core object reference
    BytranCore *core;

    // Network manager to send and receive requests from a remote server
    QNetworkAccessManager *netManager;

};

#endif // ABOUTQML_H
