// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | contact@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// Resources used to write this code fragment
// https://stackoverflow.com/questions/11949452/temperature-sensor-on-android
// https://code.tutsplus.com/tutorials/using-the-accelerometer-on-android--mobile-22125
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

// Java code to read the humidity sensor value
package org.bytran.bytran;

import java.lang.String;
import android.app.Activity;
import android.os.Bundle;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorManager;
import android.hardware.SensorEventListener;

public class HumiditySensor
{
    // Activity variable passed in from the Qt program
    private final Activity m_MainActivity;
    // private Sensor humiditySensor;
    private static String sensorPresent;
    private Sensor humiditySensor;  // Humidity sensor object
    private SensorManager sensorManager;
	
    // Method determines if the humidity sensor is available on this device
    static String isHumiditySensorAvailable()
    {
        return sensorPresent;
    }

    // Method to request permissions
    public HumiditySensor(Activity MainActivity)
    {
        m_MainActivity = MainActivity;        

        MainActivity.runOnUiThread(new Runnable()
        {
            @Override
            public void run()
            {
                sensorManager = (SensorManager)m_MainActivity.getSystemService(Context.SENSOR_SERVICE);
                humiditySensor = sensorManager.getDefaultSensor(Sensor.TYPE_PRESSURE);

                if (humiditySensor != null) {
                    // Register listener and do other things with the humidity sensor
                    sensorPresent = "true";
                }
                else {
                    sensorPresent = "false";
                }
            }
        });
    }
}
