// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | bytran@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Slant path component will contain paramters for each layer in an array of layer objects
#ifndef SLANT_H
#define SLANT_H

#include <QVector>
#include "oneslantlayer.h"

class Slant
{
public:

    Slant();

    // Methods to get and set the slant path layer parameters (complete slant path layers array)
    QVector<OneSlantLayer> *getSlantLayerParams();
    void setSlantLayerParams(QVector<OneSlantLayer> *newSlantLayerParams);

    // Methods to get and set the slant path (for a single layer element)
    OneSlantLayer *getOneLayerSlantParams(int layerNum);
    void setOneLayerSlantParams(int layerNum, OneSlantLayer *newSlantLayerParams);

private:

    // Array with the slant path layer information
    QVector<OneSlantLayer> slantParams;

};

#endif // SLANT_H
